package com.zfire.jiasm.syncdata.download.order;

import lombok.extern.slf4j.Slf4j;

/**
 * 以旧换新-获取所有驳回的鉴定单 + 修改鉴定单状态为驳回状态
 */
@Slf4j
// @Component
public class OldForNewDownload {
/*	@Value("${queryejectjddc}")
	private String queryejectjddc = "";
	@Value("${processbusinessc}")
	private String processbusinessc = "";


	@Autowired
	OldForNewUploadLogic oldForNewUploadLogic;*/

	/**
	 * 以旧换新 - 获取所有驳回的鉴定单
	 */
/*	@Scheduled(fixedDelayString = "${queryejectjdd}")
	public void queryRejectJdd() {


		if (queryejectjddc.equals(TaskConfigEnum.FALSE.getCode())){
			return;
		}

		// 下载驳回的鉴定单
		oldForNewUploadLogic.queryRejectJdd();
	}*/

	/**
	 * 以旧换新 - 修改鉴定单状态为驳回状态
	 */
/*	@Scheduled(fixedDelayString = "${processbusiness}")
	public void processBusiness() {


		if (processbusinessc.equals(TaskConfigEnum.FALSE.getCode())){
			return;
		}

		// 修改鉴定单状态 及 同步驳回鉴定单的处理状态
		oldForNewUploadLogic.processBusiness();
	}*/

}
